import java.applet.Applet;
import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.Graphics;

public class ColorSwirl extends Applet implements Runnable {
   // $FF: renamed from: f java.awt.Font
   Font field_0;
   Color[] colors = new Color[50];
   Thread runThread;
   String lineOut;
   int xLoc;
   int yLoc;

   public void start() {
      if (this.runThread == null) {
         this.runThread = new Thread(this);
         this.runThread.start();
      }

   }

   public void stop() {
      if (this.runThread != null) {
         this.runThread.stop();
         this.runThread = null;
      }

   }

   private String StripArgByComma(String var1, int var2) {
      byte var9 = 44;
      char var8 = ' ';
      int var5 = 0;
      int var4 = 0;
      int var3 = var1.length();

      int var6;
      for(var6 = 0; var6 < var3; ++var6) {
         var8 = var1.charAt(var6);
         if (var8 == var9) {
            ++var4;
            if (var4 == var2) {
               break;
            }

            if (var4 == var2 - 1) {
               var5 = var6 + 1;
            }
         }
      }

      String var7 = "";
      if (var8 != var9) {
         ++var4;
      }

      if (var4 == var2 && var5 < var6) {
         var7 = var1.substring(var5, var6);
      }

      return var7;
   }

   private int validateColor(String var1) {
      int var2 = 255;
      if (var1 != null) {
         try {
            var2 = Integer.parseInt(var1);
         } catch (NumberFormatException var3) {
         }
      }

      if (var2 > 255) {
         var2 = 255;
      }

      if (var2 < 0) {
         var2 = 0;
      }

      return var2;
   }

   private Color stringToColor(String var1) {
      Color var2;
      if (var1 == null) {
         var2 = Color.white;
      } else {
         String var6 = this.StripArgByComma(var1, 1);
         int var3 = this.validateColor(var6);
         var6 = this.StripArgByComma(var1, 2);
         int var4 = this.validateColor(var6);
         var6 = this.StripArgByComma(var1, 3);
         int var5 = this.validateColor(var6);
         var2 = new Color(var3, var4, var5);
      }

      return var2;
   }

   public void init() {
      String var1 = ((Applet)this).getParameter("bgcolor");
      ((Component)this).setBackground(this.stringToColor(var1));
      this.lineOut = ((Applet)this).getParameter("text");
      if (this.lineOut == null) {
         this.lineOut = "No Text Specified";
      }

      String var2 = ((Applet)this).getParameter("font");
      if (var2 == null) {
         var2 = "";
      }

      var1 = ((Applet)this).getParameter("size");
      int var3 = 12;
      if (var1 != null) {
         try {
            var3 = Integer.parseInt(var1);
         } catch (NumberFormatException var6) {
         }
      }

      if (var3 < 6) {
         var3 = 6;
      }

      if (var3 > 72) {
         var3 = 72;
      }

      this.field_0 = new Font(var2, 1, var3);
      var1 = ((Applet)this).getParameter("xloc");
      this.xLoc = 0;
      if (var1 != null) {
         try {
            this.xLoc = Integer.parseInt(var1);
         } catch (NumberFormatException var5) {
         }
      }

      if (this.xLoc < 0) {
         this.xLoc = 0;
      }

      var1 = ((Applet)this).getParameter("yloc");
      this.yLoc = 0;
      if (var1 != null) {
         try {
            this.yLoc = Integer.parseInt(var1);
         } catch (NumberFormatException var4) {
         }
      }

      if (this.yLoc < 0) {
         this.yLoc = 0;
      }

   }

   public void run() {
      float var1 = 0.0F;

      for(int var2 = 0; var2 < this.colors.length; ++var2) {
         this.colors[var2] = Color.getHSBColor(var1, 1.0F, 1.0F);
         var1 = (float)((double)var1 + 0.02);
      }

      int var3 = 0;

      while(true) {
         ((Component)this).setForeground(this.colors[var3]);
         ((Component)this).repaint();
         ++var3;

         try {
            Thread.currentThread();
            Thread.sleep(50L);
         } catch (InterruptedException var4) {
         }

         if (var3 == this.colors.length - 1) {
            var3 = 0;
         }
      }
   }

   public void update(Graphics var1) {
      this.paint(var1);
   }

   public void paint(Graphics var1) {
      var1.setFont(this.field_0);
      var1.drawString(this.lineOut, this.xLoc, this.yLoc);
   }
}
