import java.awt.Component;
import java.awt.Container;
import java.awt.Event;
import java.awt.Frame;
import java.awt.Panel;
import java.awt.Window;

public class DetachFrame extends Frame {
   Container frame1;
   Panel mainpanel;
   boolean detached = false;

   DetachFrame(Container var1, Panel var2) {
      this.frame1 = var1;
      this.mainpanel = var2;
   }

   public boolean handleEvent(Event var1) {
      this.frame1.handleEvent(var1);
      return super.handleEvent(var1);
   }

   public void toggle() {
      if (this.detached) {
         this.attachExternal();
      } else {
         this.detachExternal();
      }
   }

   public void attachExternal() {
      this.detached = false;
      this.frame1.add("Center", this.mainpanel);
      this.frame1.paintAll(this.frame1.getGraphics());
      ((Component)this).hide();
   }

   public void detachExternal() {
      this.detached = true;
      ((Container)this).add("Center", this.mainpanel);
      ((Window)this).pack();
      ((Window)this).show();
   }

   public boolean isDetached() {
      return this.detached;
   }
}
